package com.liangjian.dataplatform.member.util.dynamic;

import java.util.List;

/**
 * Created by huangziqi on 2019/12/17
 *
 * 用户动态参数去构造查询条件
 */
public class DynamicParams {
    protected List<DynamicFilter> filters;
    protected Integer page = 1;
    protected Integer size = 10;
    protected SortDirection sortDirection;
    protected String sortField;

    public List<DynamicFilter> getFilters() {
        return filters;
    }

    public void setFilters(List<DynamicFilter> filters) {
        this.filters = filters;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public SortDirection getSortDirection() {
        return sortDirection;
    }

    public void setSortDirection(SortDirection sortDirection) {
        this.sortDirection = sortDirection;
    }

    public String getSortField() {
        return sortField;
    }

    public void setSortField(String sortField) {
        this.sortField = sortField;
    }
}
